#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (c) 2006-2010 Noah Kantrowitz <noah@coderanger.net>
# All rights reserved.
#
# This software is licensed as described in the file COPYING, which
# you should have received as part of this distribution.
#
#
#
##
# Reorganization of package
# Updated version numbering to reflect changes
# Formatting of Admin Panel
# Addition of Ticket Type in Admin Panel
# Addition of Ticket Type logic in core, and admin
# Added / Formatted help text to Admin panel
# David B Healey lacriox@gmail.com
#

from setuptools import setup, find_packages

setup(
    name = 'TicketValidator',
    version = '0.3.3',
    description = 'Ticket Validation - A Trac plugin to create, manage and minipulate cutsom required fields for ticket types upon change of ticket state',
    author = 'Max Stewart, features added by Reinhard Wobst, David B Healey',
    author_email = 'max.e.stewart@gmail.com, r.wobst@gmx.de, lacriox@gmail.com',
    license = 'BSD',
    url = 'http://trac-hacks.org/wiki/TicketValidatorPlugin',
    packages = ['ticketvalidator'],
    package_data = {
        'ticketvalidator': ['htdocs/*.*', 'templates/*.html']
    },
    
    entry_points = {
        'trac.plugins': [
            'ticketvalidator.admin = ticketvalidator.admin',
            'ticketvalidator.core = ticketvalidator.core',
        ],
    },
)
